libosmo-sigtran 2.2.1.56-7580 Osmocom SIGTRAN library

Data Structures | Enumerations | Functions | Variables
xua_types.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures
struct | xua_common_hdr
struct | xua_parameter_hdr

## Enumerations
enum | { MUA_TAG_RESERVED , MUA_TAG_IDENT_INT , MUA_TAG_UNUSED1 , MUA_TAG_IDENT_TEXT , MUA_TAG_INFO , MUA_TAG_UNUSED2 , MUA_TAG_ROUTING_CTX , MUA_TAG_DIAG_INF , MUA_TAG_IDENT_RANGE , MUA_TAG_BEAT_DATA , MUA_TAG_UNUSED4 , MUA_TAG_TRA_MODE , MUA_TAG_ERR_CODE , MUA_TAG_STATUS , MUA_TAG_UNUSED5 , MUA_TAG_UNUSED6 , MUA_TAG_UNUSED7 , MUA_TAG_ASP_IDENT , MUA_TAG_AFF_PC , MUA_TAG_CORREL_ID }
| Common tag values used by all user adaption layers. More...

## Functions
struct xua_common_hdr | __attribute__ ((packed))

## Variables
uint8_t | version
uint8_t | spare
uint8_t | msg_class
uint8_t | msg_type
uint32_t | msg_length
uint8_t | data [0]
uint16_t | tag
uint16_t | len

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Common tag values used by all user adaption layers.

Enumerator
MUA_TAG_RESERVED |
MUA_TAG_IDENT_INT |
MUA_TAG_UNUSED1 |
MUA_TAG_IDENT_TEXT |
MUA_TAG_INFO |
MUA_TAG_UNUSED2 |
MUA_TAG_ROUTING_CTX |
MUA_TAG_DIAG_INF |
MUA_TAG_IDENT_RANGE |
MUA_TAG_BEAT_DATA |
MUA_TAG_UNUSED4 |
MUA_TAG_TRA_MODE |
MUA_TAG_ERR_CODE |
MUA_TAG_STATUS |
MUA_TAG_UNUSED5 |
MUA_TAG_UNUSED6 |
MUA_TAG_UNUSED7 |
MUA_TAG_ASP_IDENT |
MUA_TAG_AFF_PC |
MUA_TAG_CORREL_ID |

## Function Documentation

## ◆ __attribute__()

struct xua_common_hdr __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

## ◆ data

uint8_t data[0]

## ◆ len

uint16_t len

Referenced by chop_v4_mapped_on_v6_prefix(), msgb_put_sccp_opt(), msgb_put_sccp_opt_hdr(), msgb_t16l16vp_put(), osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp(), osmo_sccp_tx_data(), osmo_sccp_tx_disconn_data(), osmo_sccp_tx_unitdata(), osmo_sccp_tx_unitdata_ranap(), osmo_ss7_pointcode_print_buf(), parse_tcap(), sccp_longptr_part_consistent(), show_one_asp_assoc_status_tcp(), show_one_asp_remaddr_tcp(), ss7_asp_peer_snprintf(), xua_from_msg(), xua_from_msg_common(), xua_msg_add_data(), and xua_msg_add_u32_data().

## ◆ msg_class

uint8_t msg_class

Referenced by msgb_push_m3ua_hdr(), sccp_conn_opt_data_send_cache(), and xua_dialect_check_all_mand_ies().

## ◆ msg_length

uint32_t msg_length

Referenced by xua_tcp_segmentation_cb().

## ◆ msg_type

uint8_t msg_type

## ◆ spare

uint8_t spare

## ◆ tag

uint16_t tag

Referenced by msgb_t16l16vp_put(), msgb_t16l16vp_put_u32(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_find_tag(), and xua_msg_free_tag().

## ◆ version

uint8_t version

Referenced by xua_from_msg(), and xua_to_msg().